From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-pulseaudio-plugin/
Date: Sat, 30 Sep 2017 07:27:40 +0000 (UTC) [thread overview]
Message-ID: <1506756444.6e971b55de370e19ada47bca12f8d477ef93588c.mgorny@gentoo> (raw)
commit: 6e971b55de370e19ada47bca12f8d477ef93588c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 19:32:56 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 30 07:27:24 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e971b55
xfce-extra/xfce4-pulseaudio-plugin: Bump to 0.3.1
| 1 +
.../xfce4-pulseaudio-plugin-0.3.1.ebuild | 60 ++++++++++++++++++++++
2 files changed, 61 insertions(+)
--git a/xfce-extra/xfce4-pulseaudio-plugin/Manifest b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
index afa0871f17e..88adc9e2107 100644
--- a/xfce-extra/xfce4-pulseaudio-plugin/Manifest
+++ b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
@@ -1,2 +1,3 @@
DIST xfce4-pulseaudio-plugin-0.2.4.tar.bz2 307315 SHA256 8d9330ddf1d44a864a36d566cce4b76d4f859c5984bba7653d7dc39aa24d5c3e SHA512 b53ab48e282a506fc7fe91fa70520f0db32f2f73653a0210681bf7389f13441d5af8f855604b59817b1fe7a3f41e2d4fe52b052ac0c3479f3f4e37b2afedb193 WHIRLPOOL 8763a9422a7519b5603703306d968f9e020c1bd4b304be0d21bd6353c54e8fa979ef68c513d6e1c398ce6857ad88807a7cb7eefc29d6fba4f12a243eb7205e26
DIST xfce4-pulseaudio-plugin-0.2.5.tar.bz2 351062 SHA256 087441331240f8fca6cbcc2839251ad7e8d624fed7b4b7b4cd4e6938cb26c0b2 SHA512 e56b9a6b33e5c82b8f665eee60a9b9ebcac3815cd60a2e576dd4c9a5a592fa4adc00c56be9ac5de07e13053455d7236759e468da8eca25a3c4638680f9474194 WHIRLPOOL c8f510ddbcabe9346d01c0dee6ceeb910e656637e4c5ca8a12ac4e3067a71596883a7654b8bfd4efa96404bd16f30180ba99988d0478b2d48504c686f720a520
+DIST xfce4-pulseaudio-plugin-0.3.1.tar.bz2 395689 SHA256 61a39f892e5e06723a08f919682362ebaf54792ed1076f5be828d0209a52f482 SHA512 27802df660cfa9be43f10e8314259704bc0045c58d920553eb3eca665f2da35ec9055a616f2ad23f805c30c141b79bdfc955d0f1818db0d62be25d37965d5b09 WHIRLPOOL ec5c3a15c9afdaf2e789af93e6b0aac6ad060ff823be5953335cec25874b37a79ee0651525fcf27f8781b779fd0465e38ce2828393ca73371c16a7cd69ac7d8a
diff --git a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.3.1.ebuild b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.3.1.ebuild
new file mode 100644
index 00000000000..4369047f01f
--- /dev/null
+++ b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.3.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils
+
+DESCRIPTION="A panel plug-in for PulseAudio volume control"
+HOMEPAGE="https://git.xfce.org/panel-plugins/xfce4-pulseaudio-plugin/"
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="debug keybinder libnotify"
+
+RDEPEND=">=dev-libs/glib-2.42.0:=
+ media-sound/pulseaudio:=
+ >=x11-libs/gtk+-3.20.0:3=
+ >=xfce-base/libxfce4ui-4.11.0:=[gtk3(+)]
+ >=xfce-base/libxfce4util-4.9.0:=
+ >=xfce-base/xfce4-panel-4.11.0:=
+ >=xfce-base/xfconf-4.6.0:=
+ keybinder? ( dev-libs/keybinder:3= )
+ libnotify? ( x11-libs/libnotify:= )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ virtual/pkgconfig"
+
+src_configure() {
+ local myconf=(
+ $(use_enable keybinder)
+ $(use_enable libnotify)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ if ! has_version media-sound/pavucontrol; then
+ elog "For the 'audio mixer...' shortcut to work, you need to install"
+ elog "an external mixer application. Please either install:"
+ elog
+ elog " media-sound/pavucontrol"
+ elog
+ elog "or specify another application to use in the 'Properties' dialog."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2017-09-30 7:27 UTC|newest]
Thread overview: 87+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-09-30 7:27 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-25 14:33 [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-pulseaudio-plugin/ Sam James
2024-12-28 13:26 Arthur Zamarin
2024-12-28 10:54 Arthur Zamarin
2024-12-28 10:49 Arthur Zamarin
2024-12-28 9:06 Arthur Zamarin
2024-12-28 9:01 Arthur Zamarin
2024-12-28 9:00 Arthur Zamarin
2024-12-28 8:59 Arthur Zamarin
2024-12-28 8:58 Arthur Zamarin
2024-12-06 4:01 Michał Górny
2023-12-22 5:14 Ionen Wolkens
2023-11-02 12:58 Michał Górny
2023-11-02 4:12 Sam James
2023-11-02 4:12 Sam James
2023-11-02 4:12 Sam James
2023-11-02 4:12 Sam James
2023-11-01 20:37 Arthur Zamarin
2023-11-01 19:04 Arthur Zamarin
2023-10-02 4:22 Michał Górny
2023-06-11 23:51 Sam James
2023-06-11 19:28 Michał Górny
2023-06-11 19:20 Arthur Zamarin
2023-06-11 19:16 Arthur Zamarin
2023-06-11 15:38 Sam James
2023-06-11 13:46 Sam James
2023-06-11 10:01 Andreas Sturmlechner
2023-06-01 14:50 Michał Górny
2023-04-14 20:50 Sam James
2023-03-29 5:07 Michał Górny
2022-11-26 17:03 Michał Górny
2022-11-26 17:03 Michał Górny
2022-10-09 19:06 Michał Górny
2022-10-09 16:07 Arthur Zamarin
2022-10-09 8:55 Agostino Sarubbo
2022-10-08 23:10 Sam James
2022-10-08 19:28 Sam James
2022-10-08 16:03 Arthur Zamarin
2022-10-08 16:03 Arthur Zamarin
2022-09-16 5:45 Michał Górny
2022-09-03 8:40 Michał Górny
2022-08-28 6:49 WANG Xuerui
2021-09-01 12:59 Marek Szuba
2021-04-12 23:33 Sam James
2021-04-08 8:51 Michał Górny
2021-02-25 9:49 Sam James
2021-02-18 7:26 Sam James
2021-02-08 6:11 Sam James
2021-01-17 22:30 Michał Górny
2021-01-16 19:03 Michał Górny
2020-07-19 14:19 Michał Górny
2020-06-29 18:24 Mikle Kolyada
2020-06-26 21:16 Mart Raudsepp
2020-06-20 15:23 Thomas Deutschmann
2020-03-30 6:51 Michał Górny
2019-10-20 10:24 Michał Górny
2019-10-10 18:35 Mikle Kolyada
2019-10-10 18:31 Mikle Kolyada
2019-08-11 19:26 Michał Górny
2019-04-07 8:29 Michał Górny
2018-11-15 17:04 Thomas Deutschmann
2018-11-12 14:10 Mikle Kolyada
2018-11-11 19:07 Michał Górny
2018-07-10 12:29 Michał Górny
2018-04-12 19:12 Michał Górny
2018-04-08 17:28 Aaron Bauman
2018-03-25 17:27 Michał Górny
2018-03-20 9:47 Jason Zaman
2018-02-27 8:25 Michał Górny
2018-02-27 8:25 Michał Górny
2018-01-05 11:30 Mikle Kolyada
2017-12-07 14:39 Michał Górny
2017-12-07 14:39 Michał Górny
2017-11-25 18:16 Michał Górny
2017-11-25 18:16 Michał Górny
2017-10-29 18:15 Jason Zaman
2017-08-26 17:49 Michał Górny
2017-07-12 21:34 Sergei Trofimovich
2017-05-22 14:13 Michał Górny
2017-05-22 14:13 Michał Górny
2017-05-17 6:14 Michael Weber
2017-01-13 15:41 Agostino Sarubbo
2016-12-20 12:31 Tobias Klausmann
2016-08-02 16:10 Michał Górny
2016-04-19 13:01 Michał Górny
2015-10-28 21:01 Michał Górny
2015-09-20 15:07 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1506756444.6e971b55de370e19ada47bca12f8d477ef93588c.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox